1. Telegram
Narrativ - Public Data API
  • Overview
  • YouTube
    • Get Channel Details
      GET
    • Get Followers Chart
      GET
    • Get Channels by Country
      GET
    • Get Social Volume
      GET
    • Get Video Details
      GET
  • Telegram
    • Get Channel Details
      GET
    • Get Social Volume
      GET
    • Get Post Details
      GET
  • X
    • Get Profile Details
      GET
    • Get Followers Chart
      GET
    • Get Social Volume
      GET
    • Get Post Details
      GET
    • Get Profile Cashtags
      GET
    • Get Profile Hashtags
      GET
    • Get Top Tweets
      GET
  • Universal
    • Account Content
      GET
    • Get Usage
      GET
  • Influencers
    • Get Influencer Categories
      GET
  1. Telegram

Get Channel Details

GET
https://api.narrativ.tech/functions/v1/telegram-channel-details
Retrieves detailed information about a specific channel using either their unique ID or channel url.

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
or
Query Params

Responses

🟢200Success
application/json
Bodyapplication/json

🟠400Missing Query Parameter
🟠400Wrong Params
🟠401Unauthorized - Missing Auth Token
🟠401Unauthorized - Invalid Key
🟠404Invalid Identifier
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.narrativ.tech/functions/v1/telegram-channel-details?handle=cointelegraph' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Success - Telegram Channel
{
    "data": {
        "details": {
            "id": "-1001072723547",
            "channelUrl": "https://t.me/cointelegraph",
            "name": "Cointelegraph",
            "language": "English",
            "description": "Cointelegraph covers fintech, blockchain and Bitcoin, bringing you the latest news and analyses on the future of money.\n\nhttps://cointelegraph.com\n\nFor advertising inquiries, please contact advertise@cointelegraph.com\n\nMarket updates:\n@CTMarkets",
            "avatarUrl": null,
            "visibility": "Public",
            "type": "broadcast",
            "location": null,
            "isFake": false,
            "isRestricted": false,
            "isScam": false,
            "isVerified": true,
            "participantsHidden": false,
            "reactionsLimit": null,
            "translationsDisabled": false
        },
        "statistics": {
            "members": 444158,
            "messages": 61148
        }
    }
}
Previous
Get Video Details
Next
Get Social Volume
Built with